Subject: [siprec] Requirements issues - current situation and consensus calls

From: "Elwell, John" <[email-masked]>
Date: Mon, 22 Nov 2010 15:55:16 +0100

This is a follow-up on the requirements discussions in Beijing.

1. We still have ticket #51 open (pause and resume, REQ-015/016). There was clear consensus in Beijing to close this based on text already proposed on the list. I don't see why this can't be closed.

2. We still have ticket #52 open (deletion of REQ-050 on authorization). There was no objection at the meeting - just needs confirmation on the list. Please say now if you have a problem deleting REQ-050.

3. Concerning ticket #53 on privacy, there was a text proposal circulated prior to Beijing:
http://www.ietf.org/mail-archive/web/siprec/current/msg01032.html
>From list and face-to-face discussions to date, I think there is consensus to go in this direction (perhaps the text needs some minor changes). Therefore I think we can adopt the text and close the issue. Please say now if you have a problem with this general direction.

4. Related to the previous point, there was some feeling in Beijing that we should clarify the scope of this document, and also other documents in the series (e.g., architecture). Therefore I have opened a new ticket #54 to address this.

5. In Beijing there was some discussion suggesting we might need a requirement for notifying participants of the **reason** for recording, but during the session the feeling was that this could be accomplished as part of any announcement (e.g., in an audio announcement) and therefore should not require any specific mechanism. As a result, I don't think there is any need to open a ticket for this. If anyone thinks we need a requirement in this area, please elaborate and we can open a ticket.

6. Concerning ticket #35 on clarifying security requirements, we already have a number of more detailed security requirements in the document, and these are being refined through ongoing discussion. The more detailed requirements replace REQ-029. So I think we can delete REQ-029 and also close ticket #35 - I think this was the consensus in Beijing.

7. Concerning ticket #43, recording a conference, from the discussion in Beijing it seemed to be more a case of ensuring the metadata model will cover the different arrangements. The conclusion was that we need more concrete proposals if additional requirements are needed in this are. To date there have been no further proposals on the list, so I think the ticket can be closed - no change required. If anyone disagrees, please post a proposal.

8. It was proposed in Beijing that there should be a requirement concerning wall clock time. I have opened ticket #55 on this. Please submit proposals.

9. During the discussion in Beijing on ticket #40 (media delays), it was asked whether we need a requirement concerning the maximum time delay in delivering media to the SRS, in particular in the context of use case 12 concerning real-time processing of the recording. Nobody in the meeting made any proposal. Please submit proposals - otherwise the ticket will be closed with no change to document.

Concerning things that have happened on the mailing list during/since the meeting:

10. Security comments from Cullen:
http://www.ietf.org/mail-archive/web/siprec/current/msg01053.html
There have been some responses - would the editor please make necessary changes to the document and raise any outstanding issues on the list (together with tracker tickets)?

11. Re-encrypting comment from Cullen:
http://www.ietf.org/mail-archive/web/siprec/current/msg01072.html
I have raised ticket #56 on this. Please discuss in the context of that ticket.

12. Removal of REQ-030:
http://www.ietf.org/mail-archive/web/siprec/current/msg01071.html
The list seems to be moving towards consensus on removal of REQ-030, but I have opened ticket #57 until it is resolved.

13. Concerning ticket#50 (removal of REQ-073 on protection of encryption keys), I think several people have spoken in favour of deleting this requirement. Speak now if you want to retain in some form.

14. Concerning ticket #48 (removal of REQ-072 on establishing an RS without notifying CS participants), there was a new proposal from Deepanshu today:
http://www.ietf.org/mail-archive/web/siprec/current/msg01085.html , which may help to resolve it.

15. There was a comment from Charles Eckel concerning video:
http://www.ietf.org/mail-archive/web/siprec/current/msg01052.html
>From the ongoing discussion, I am not sure whether any further requirements are needed, but I have opened a ticket just in case: ticket #58.

I suggest that the editor produce an -05, based on this and any responses received by the end of the working week (2010-11-26).

John (as chair)